# Created by pyp2rpm-3.3.2
%global pypi_name fastnumbers

%bcond_without doc

Name:           python-%{pypi_name}
Version:        5.0.1
Release:        %mkrel 3
Summary:        Super-fast and clean conversions to numbers
Group:          Development/Python
License:        MIT
URL:            https://github.com/SethMMorton/fastnumbers
Source0:        https://files.pythonhosted.org/packages/source/f/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# remove dependency of m2r2
Patch0:         50dee124f232422a66bcc603b43216bf7a94e587.patch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
%if %{with doc}
BuildRequires:  python3dist(sphinx)
%endif

%description
Super-fast and clean conversions to numbers.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Super-fast and clean conversions to numbers.

%prep
%autosetup -n %{pypi_name}-%{version} -p1


%build
%pyproject_wheel

%if %{with doc}
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files fastnumbers

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc dev/README.md README.rst
%if %{with doc}
%doc html
%endif


%changelog
* Tue Jan 16 2024 daviddavid <daviddavid> 5.0.1-3.mga10
+ Revision: 2031547
- rebuild for py3.12

* Fri Jun 09 2023 papoteur <papoteur> 5.0.1-2.mga9
+ Revision: 1961507
- remove depency to m2r2, thus allows doc build

* Thu Mar 02 2023 papoteur <papoteur> 5.0.1-1.mga9
+ Revision: 1946265
- new 5.0.1
- disable doc build which requires m2r2 which can't be installed

* Sat Mar 19 2022 umeabot <umeabot> 3.2.1-3.mga9
+ Revision: 1799321
- Mageia 9 Mass Rebuild

* Sun Feb 27 2022 pterjan <pterjan> 3.2.1-2.mga9
+ Revision: 1786276
- Add missing -lm due to use of floor()

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 3.2.1-1.mga9
+ Revision: 1783667
- version 3.2.1
- BR python3dist(m2r2)
- update files list
- rebuild for python-3.10

* Fri Apr 16 2021 daviddavid <daviddavid> 2.1.1-4.mga9
+ Revision: 1716017
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 2.1.1-3.mga8
+ Revision: 1533044
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 tv <tv> 2.1.1-2.mga8
+ Revision: 1443260
- rebuild for python-3.8

* Thu Jan 17 2019 wally <wally> 2.1.1-1.mga7
+ Revision: 1357724
- imported package python-fastnumbers

